title: tealdbg remote
---
## tealdbg remote



Debug TEAL program on-chain



### Synopsis



Start the server and wait for upcoming debug connections from remote TEAL evaluator



```

tealdbg remote [flags]

```



### Options



```

  -h, --help   help for remote

```



### Options inherited from parent commands



```

  -f, --frontend string             Frontend to use: cdt, web (default "cdt")

      --listen string               Network interface to listen on (default "127.0.0.1")

      --no-source-map               Do not generate source maps

      --remote-debugging-port int   Port to listen on (default 9392)

  -v, --verbose                     Verbose output

```



### SEE ALSO



* [tealdbg](../../tealdbg/tealdbg/)	 - Algorand TEAL Debugger



